﻿using FluentValidation;
using System;
using System.Collections.Generic;
using System.Text;

namespace Performance.DtoModels
{

    public class WorkyearRequest : ApiRequest
    {
        public int ID { get; set; }

        public Nullable<int> AllotID { get; set; }

        public Nullable<decimal> MaxRange { get; set; }

        public Nullable<decimal> MinRange { get; set; }

        public Nullable<decimal> Value { get; set; }


        public class WorkyearRequestValidator : AbstractValidator<WorkyearRequest>
        {
            public WorkyearRequestValidator()
            {
                RuleSet("Update", () =>
                {
                    RuleFor(x => x.ID).NotNull().GreaterThan(0);
                });

                RuleSet("Delete", () =>
                {
                    RuleFor(x => x.ID).NotNull().GreaterThan(0);
                });
            }
        }
    }
}
